%define pkg_name        Image-Xbm
%define pkg_version     1.08
%define rpm_pkg_version 1.08
%define rpm_pkg_release 3.n0i.4

Summary:       Load, create, manipulate and save xbm image files
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/S/SU/SUMMER/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Image::Base) >= 1.06}


%description
This class module provides basic load, manipulate and save functionality for
the xbm file format. It inherits from "Image::Base" which provides additional
manipulation functionality, e.g. "new_from_image()". See the "Image::Base" pod
for information on adding your own functionality to all the "Image::Base"
derived classes.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc README


%changelog
* Wed May 30 2007 Marius Feraru <altblue@n0i.net> - 1.08-3.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- rebuild

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 1.08-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.08-1.n0i.2
- automatic rebuild (perl 5.8.6)

* Thu Jan 27 2005 Marius Feraru <altblue@n0i.net> 0:1.08-1.n0i.1
- version 1.08
- spec file (re?)created using N0i::CPAN::RPMizer/2004120601
